Skip to main content
POST
Add an affiliate to a program

Authorizations

X-Api-Key
string
header
required

Your API key, from your Tapfiliate account settings.

Path Parameters

program_id
string
required

The id of the Program to add the affiliate too. This id can be found as part of the url when viewing the program on the platform.

Body

application/json
affiliate
object
required
approved
boolean | null

An optional approval status. Valid values are: true (Approved, default) | false (Disapproved) | null (Pending)

Example:

true

coupon
string

An optional coupon for this affiliate

Example:

"JANE10OFF"

Response

OK

id
string
firstname
string
lastname
string
email
string
company
unknown
address
unknown
meta_data
object
parent_id
unknown
coupon
string
approved
unknown
created_at
unknown
affiliate_group_id
unknown
applied_at
string
promoted_at
unknown
promotion_method
unknown
custom_fields
unknown